Arbor 3: FSM & BT Graph Editor 3.7.8

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleEnumAny Class Reference

Class to handle a flexible enum type reference method there is more than one. More...

Inheritance diagram for FlexibleEnumAny:

## Public Member Functions
| FlexibleEnumAny ()
| FlexibleEnumAny default constructor More...
| FlexibleEnumAny (int value)
| FlexibleEnumAny constructor More...
| FlexibleEnumAny (System.Enum value)
| FlexibleEnumAny constructor More...
| FlexibleEnumAny (AnyParameterReference parameter)
| FlexibleEnumAny constructor More...
| FlexibleEnumAny (InputSlotAny slot)
| FlexibleEnumAny constructor More...
T | GetEnumValue< T > ()
| Returns the enum type value. More...
object | GetValueObject ()
| Return the value as object. More...

## Static Public Member Functions
static | operator int (FlexibleEnumAny flexible)
| Cast FlexibleEnumAny to int. More...
static | operator FlexibleEnumAny (int value)
| Cast int to FlexibleEnumAny. More...
static | operator FlexibleEnumAny (System.Enum value)
| Cast System.Enum to FlexibleEnumAny. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
int | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible enum type reference method there is more than one.

Available Attributes :

- ClassTypeConstraintAttribute
- SlotTypeAttribute

## Constructor & Destructor Documentation

## ◆ FlexibleEnumAny() [1/5]

FlexibleEnumAny | ( |  | ) |

FlexibleEnumAny default constructor

## ◆ FlexibleEnumAny() [2/5]

FlexibleEnumAny | ( | int | value | ) |

FlexibleEnumAny constructor

Parameters

  value | Value

## ◆ FlexibleEnumAny() [3/5]

FlexibleEnumAny | ( | System.Enum | value | ) |

FlexibleEnumAny constructor

Parameters

  value | Value

## ◆ FlexibleEnumAny() [4/5]

FlexibleEnumAny | ( | AnyParameterReference | parameter | ) |

FlexibleEnumAny constructor

Parameters

  parameter | Parameter

## ◆ FlexibleEnumAny() [5/5]

FlexibleEnumAny | ( | InputSlotAny | slot | ) |

FlexibleEnumAny constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ GetEnumValue< T >()

T GetEnumValue< T > | ( |  | ) |

Returns the enum type value.

Template Parameters

  T | Type of enum

Returns
  Value of enum type

Type Constraints

  T | : | struct |

## ◆ GetValueObject()

object GetValueObject | ( |  | ) |

Return the value as object.

Returns
  The value object

Implements IFlexibleField.

## ◆ operator FlexibleEnumAny() [1/2]

static operator FlexibleEnumAny | ( | int | value | ) |
| explicit static

Cast int to FlexibleEnumAny.

Parameters

  value | int

## ◆ operator FlexibleEnumAny() [2/2]

static operator FlexibleEnumAny | ( | System.Enum | value | ) |
| explicit static

Cast System.Enum to FlexibleEnumAny.

Parameters

  value | System.Enum

## ◆ operator int()

static operator int | ( | FlexibleEnumAny | flexible | ) |
| explicit static

Cast FlexibleEnumAny to int.

Parameters

  flexible | FlexibleEnumAny

## Property Documentation

## ◆ parameter

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

## ◆ type

FlexibleType type
| get

It returns a type

## ◆ value

int value
| get

It returns a value